<?php
/*
Plugin Name: LeadManager
Plugin URI: http://www.leadmanager.co.il
Description:  LeadManager for Wordpress (LM Wordpress)
Version: 3.1.4
Author: Dagan Yaakov
Author URI: http://wp.dugi.co.il
*/

/*pojo version*/
	if (function_exists('di_wpcf7_add_shortcode_lm')){
		add_action( 'admin_notices', function(){
			echo '<div class="error notice"><p>
					<strong>הודעה חשובה:</strong> תוסף LeadManager for Wordpress אינו פעיל! <br>
					חובה לכבות או להסיר את תוסף ליד מנג\'ר הישן בכדי להשתמש בתוסף החדש.</p></div>';
		} );
		return;
	}
	
	define( 'LEADMANAGER_ENDPOINT', 'http://api.leadmanager.co.il/handlers/lm/submit.cms' );
	define( 'LEADMANAGER_LOGABSPATH', dirname(__FILE__). DIRECTORY_SEPARATOR .'logs' );

	require_once (dirname(__FILE__).'/inc/lm_options_admin.php');
	require_once (dirname(__FILE__).'/inc/lm_session.php');
	require_once (dirname(__FILE__).'/inc/lm_logger.php');
	require_once (dirname(__FILE__).'/inc/lm_mailer.php');
	require_once (dirname(__FILE__).'/inc/lm_sender.php');
	require_once (dirname(__FILE__).'/inc/lm_cf7_admin.php');
	require_once (dirname(__FILE__).'/inc/lm_cf7_driver.php');
	require_once (dirname(__FILE__).'/inc/lm_pojo_forms_admin.php');
	require_once (dirname(__FILE__).'/inc/lm_pojo_forms_driver.php');
	require_once (dirname(__FILE__).'/inc/lm_update.php');
	
	/*Core*/
	$GLOBALS['leadmanager_options']  = new Dugi\leadmanager_options();
	$GLOBALS['leadmanager_session']  = new Dugi\leadmanager_session();
	$GLOBALS['leadmanager_logger']   = new Dugi\leadmanager_logger(LEADMANAGER_LOGABSPATH);
	$GLOBALS['leadmanager_sender']   = new Dugi\leadmanager_sender(LEADMANAGER_ENDPOINT);
	$GLOBALS['leadmanager_mailer']   = new Dugi\leadmanager_mailer();
	new leadmanager_update(__FILE__);
	
	/*Ext*/
	$GLOBALS['leadmanager_cf7_admin']   = new Dugi\leadmanager_cf7_admin();
	$GLOBALS['leadmanager_cf7_driver']  = new Dugi\leadmanager_cf7_driver();
	
	$GLOBALS['leadmanager_pojo_forms_admin']   = new Dugi\leadmanager_pojo_forms_admin();
	$GLOBALS['leadmanager_pojo_forms_driver']  = new Dugi\leadmanager_pojo_forms_driver();
	